Name:           python-pyabc
Version:        0.12.16
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Distributed, likelihood-free ABC-SMC inference

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/icb-dcm/pyabc/issues
Source:         %{pypi_source pyabc}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyabc' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyabc
Summary:        %{summary}

%description -n python3-pyabc %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pyabc amici,autograd,copasi,doc,examples,julia,migrate,ot,petab,plotly,pyarrow,r,test,test-petab,webserver-dash,webserver-flask,yaml2sbml


%prep
%autosetup -p1 -n pyabc-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x amici,autograd,copasi,doc,examples,julia,migrate,ot,petab,plotly,pyarrow,r,test,test-petab,webserver-dash,webserver-flask,yaml2sbml


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyabc -f %{pyproject_files}


%changelog
%autochangelog